"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const models_1 = require("../models");
class PostService {
    get(_id) {
        return models_1.Post.findOne({ _id }).exec();
    }
    remove(_id) {
        return models_1.Post.remove({ _id }).exec();
    }
    fing(query) {
        return models_1.Post.find(query).exec();
    }
    create(data) {
        return models_1.Post.create(data);
    }
    async update(_id, data) {
        const updated = await models_1.Post.update({ _id }, data);
        return this.get(_id);
    }
}
exports.PostService = PostService;
//# sourceMappingURL=PostService.js.map