"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
const React = require("react");
const react_apollo_1 = require("react-apollo");
const gql_1 = require("../gql");
function Posts(props) {
    return (React.createElement(React.Fragment, null,
        React.createElement(react_apollo_1.Query, { variables: { query: props.query }, query: gql_1.QUERY_POSTS }, (_a) => {
            var { data } = _a, result = __rest(_a, ["data"]);
            return props.render(Object.assign({ data: _.get(data, 'getPosts'), loading: data.loading }, result));
        })));
}
exports.Posts = Posts;
//# sourceMappingURL=Posts.js.map